> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Updates the source address for a shipment.

PUT https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/sourceAddress
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/update-shipment-source-address

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `shipmentId` (string, required) — Identifier of a shipment.

### Body (application/json)

This endpoint expects an UpdateShipmentSourceAddressRequest.

- `address` (AddressInput, required) — Specific details to identify a place (input variant — phone required).

## Response

### 202

Accepted — operation submitted asynchronously.

- `operationId` (string, required) — UUID for the given operation.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### AddressInput

Specific details to identify a place (input variant — phone required).

- `addressLine1` (string, required) — Street address information.
- `city` (string, required) — The city.
- `countryCode` (string, required) — The country code in two-character ISO 3166-1 alpha-2 format.
- `name` (string, required) — The name of the individual who is the primary contact.
- `phoneNumber` (string, required) — The phone number.
- `postalCode` (string, required) — The postal code.
- `addressLine2` (string, optional) — Additional street address information.
- `companyName` (string, optional) — The name of the business.
- `districtOrCounty` (string, optional) — The district or county.
- `email` (string, optional) — The email address.
- `stateOrProvinceCode` (string, optional) — The state or province code.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

## Examples

**Request**

```json
{
  "address": {
    "addressLine1": "string",
    "city": "string",
    "countryCode": "string",
    "name": "string",
    "phoneNumber": "string",
    "postalCode": "string"
  }
}
```

**Response**

```json
{
  "operationId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress"

payload = { "address": {
        "addressLine1": "string",
        "city": "string",
        "countryCode": "string",
        "name": "string",
        "phoneNumber": "string",
        "postalCode": "string"
    } }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"address":{"addressLine1":"string","city":"string","countryCode":"string","name":"string","phoneNumber":"string","postalCode":"string"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress"

	payload := strings.NewReader("{\n  \"address\": {\n    \"addressLine1\": \"string\",\n    \"city\": \"string\",\n    \"countryCode\": \"string\",\n    \"name\": \"string\",\n    \"phoneNumber\": \"string\",\n    \"postalCode\": \"string\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"address\": {\n    \"addressLine1\": \"string\",\n    \"city\": \"string\",\n    \"countryCode\": \"string\",\n    \"name\": \"string\",\n    \"phoneNumber\": \"string\",\n    \"postalCode\": \"string\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress")
  .header("Content-Type", "application/json")
  .body("{\n  \"address\": {\n    \"addressLine1\": \"string\",\n    \"city\": \"string\",\n    \"countryCode\": \"string\",\n    \"name\": \"string\",\n    \"phoneNumber\": \"string\",\n    \"postalCode\": \"string\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress', [
  'body' => '{
  "address": {
    "addressLine1": "string",
    "city": "string",
    "countryCode": "string",
    "name": "string",
    "phoneNumber": "string",
    "postalCode": "string"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"address\": {\n    \"addressLine1\": \"string\",\n    \"city\": \"string\",\n    \"countryCode\": \"string\",\n    \"name\": \"string\",\n    \"phoneNumber\": \"string\",\n    \"postalCode\": \"string\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["address": [
    "addressLine1": "string",
    "city": "string",
    "countryCode": "string",
    "name": "string",
    "phoneNumber": "string",
    "postalCode": "string"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/sourceAddress")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```